Bug 540112 - SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "search" access on 66.
Summary: SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "search" acc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cd1f7edd129...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 13:01 UTC by Kamil
Modified: 2009-12-02 04:41 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:02 UTC


Attachments (Terms of Use)

Description Kamil 2009-11-22 13:01:43 UTC
Podsumowanie:

SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "search" access
on 66.

Szczegółowy opis:

[chrome-sandbox posiada typ zezwalania (chrome_sandbox_t). Ten dostęp nie
został odmówiony.]

SELinux denied access requested by chrome-sandbox. It is not expected that this
access is required by chrome-sandbox and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Zezwalanie na dostęp:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Dodatkowe informacje:

Kontekst źródłowy          unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Kontekst docelowy             unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Obiekty docelowe              66 [ dir ]
Źródło                     chrome-sandbox
Ścieżka źródłowa         /usr/lib64/chromium-browser/chrome-sandbox
Port                          <Nieznane>
Komputer                      (removed)
Źródłowe pakiety RPM       chromium-4.0.252.0-0.1.20091119svn32498.fc12
Docelowe pakiety RPM          
Pakiet RPM polityki           selinux-policy-3.6.32-41.fc12
SELinux jest włączony       True
Typ polityki                  targeted
Tryb wymuszania               Enforcing
Nazwa wtyczki                 catchall
Nazwa komputera               (removed)
Platforma                     Linux (removed) 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Liczba alarmów               18
Po raz pierwszy               nie, 22 lis 2009, 11:35:39
Po raz ostatni                nie, 22 lis 2009, 13:47:11
Lokalny identyfikator         df1be0a1-756e-48c7-9840-e0b95bbab970
Liczba wierszy                

Surowe komunikaty audytu      

node=(removed) type=AVC msg=audit(1258894031.844:44376): avc:  denied  { search } for  pid=17108 comm="chrome-sandbox" name="3636" dev=proc ino=18238 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir

node=(removed) type=AVC msg=audit(1258894031.844:44376): avc:  denied  { read } for  pid=17108 comm="chrome-sandbox" name="fd" dev=proc ino=29723 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir

node=(removed) type=AVC msg=audit(1258894031.844:44376): avc:  denied  { open } for  pid=17108 comm="chrome-sandbox" name="fd" dev=proc ino=29723 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258894031.844:44376): arch=c000003e syscall=2 success=yes exit=128 a0=7fff577fbb40 a1=90800 a2=7fff577fbb4d a3=1999999999999999 items=0 ppid=15783 pid=17108 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome-sandbox" exe="/usr/lib64/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,chrome-sandbox,chrome_sandbox_t,unconfined_t,dir,search
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t unconfined_t:dir { read search open };

Comment 1 Daniel Walsh 2009-11-23 15:41:33 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:39:56 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:14 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:23 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.